## xmpi 2.2.3b8

=== debian/changelog ===
xmpi (2.2.3b8-14) unstable; urgency=medium

  * Accept NMUs
  * priority optional
  * xmpi depends on sensible utils
  * newer standards
  * build-dep latest lam

 -- Camm Maguire <camm@debian.org>  Mon, 25 Mar 2019 13:11:43 +0000

xmpi (2.2.3b8-13.2) unstable; urgency=medium

  [ Adam Conrad ]
  * Replace home-grown config.{sub,guess} magic with dh_autotools-dev.

  [ Daniel T Chen ]
  * Use dh-autoreconf for newer arches (Closes: #728008, #544775).
  * Fix build with (non-)extant directories.

  [ Graham Inggs ]
  * Non-maintainer upload.
  * Fix quoting in M4 macros (Closes: #702438).
  * Remove diffs to generated files from d/patches/3.0-quilt-source-init.
  * Remove leftover d/xmpi1-runtime directory.
  * Build with hardening and --as-needed flags (Closes: #750928).

 -- Graham Inggs <graham@nerve.org.za>  Wed, 23 Jul 2014 23:55:56 +0200

xmpi (2.2.3b8-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition from lesstif2 to motif (Closes: #714675).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:59:28 +0200

xmpi (2.2.3b8-13) unstable; urgency=low

  * priority set to extra

 -- Camm Maguire <camm@debian.org>  Thu, 10 May 2012 13:20:45 +0000

xmpi (2.2.3b8-12) unstable; urgency=low

  * lintian fixes

 -- Camm Maguire <camm@debian.org>  Wed, 11 Apr 2012 20:26:28 +0000

xmpi (2.2.3b8-11) unstable; urgency=low

  * Bug fix: "Maintainer address seems to bounce", thanks to Alexander
    Reichle-Schmehl (Closes: #590810).

 -- Camm Maguire <camm@debian.org>  Thu, 16 Sep 2010 16:03:50 +0000

xmpi (2.2.3b8-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417774).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 21:33:11 +0000

xmpi (2.2.3b8-10) unstable; urgency=low

  * Build-depend on lesstif2-dev, Closes: #374247.
  * Build-depend on libx11-dev,libxt-dev instead of xlibs-dev, CLoses: #346829
  * Newer standards
  * man page error cleanups

 -- Camm Maguire <camm@enhanced.com>  Wed, 28 Jun 2006 15:34:06 +0000

xmpi (2.2.3b8-9) unstable; urgency=low

  * Rebuild against latest lam for C++ transition, Closes: #329487.
  * newer standards

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 Oct 2005 14:21:22 +0000

xmpi (2.2.3b8-8) unstable; urgency=high

  * Fix autotools timeskew issue thanks to Kurt Roeckx <kurt@roeckx.be>
    and autotools-dev README.Debian.  Strategy is to prevent gnu toolchain
    rebuild on autobuilders, but use updated config.{sub,guess} via
    symbolic links into autotools-dev.  touch -r configure all relevant
    input files.  Also add cross compilation options and support for DEB_?
    environment variables per policy.

 -- Camm Maguire <camm@enhanced.com>  Mon, 28 Mar 2005 17:35:50 +0000

xmpi (2.2.3b8-7) unstable; urgency=high

  * Bug fix: "xmpi: ftbfs [sparc] automake version mismatch", thanks to
    Blars Blarson (Closes: #301352).  Rebuild auto* files qith automake1.7
    installed.  Remove libtool from Build-Depends. FIXME -- Only
    build-deps needed are apparently autotools-dev,debhelper,lam4-dev, and
    lesstif-dev, though will wait to post sarge to change this.

 -- Camm Maguire <camm@enhanced.com>  Fri, 25 Mar 2005 16:29:21 +0000

xmpi (2.2.3b8-6) unstable; urgency=high

  * Bug fix: "xmpi: FTBFS (amd64/gcc-4.0): &quot;$LD&quot; in configure
    script and &quot;cast from 'void*' to 'int' loses precision&quot;",
    thanks to Andreas Jochens (Closes: #301019).  Apply supplied patch --
    thanks!
  * Bug fix: "xmpi: FTBFS: Wrong library file name.", thanks to Kurt
    Roeckx (Closes: #253521).  Build-depend on automake1.7 and libtool for
    amd64, though it is unclear why this is necessary.

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Mar 2005 15:24:08 +0000

xmpi (2.2.3b8-5) unstable; urgency=high

  * Bug fix: "xmpi: FTBFS: Wrong library file name.", thanks to Kurt
    Roeckx (Closes: #253521).  Ran libtoolize --force --copy
  * Add src/libxmpi/nodeslist.loT to clean target

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Mar 2005 15:10:54 +0000

xmpi (2.2.3b8-4) unstable; urgency=low

  * Bug fix: "xmpi: Help fails with shell error: snesible-browser [sic]:
    no such file or directory", thanks to Per Bojsen (Closes: #252377).
    Fix typo in app-defaults/XMPI.
  * quote strings in menu entry for lintian

 -- Camm Maguire <camm@enhanced.com>  Sun,  6 Jun 2004 04:09:45 +0000

xmpi (2.2.3b8-3) unstable; urgency=low

  * Fixed watch file

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Feb 2004 16:18:30 +0000

xmpi (2.2.3b8-2) unstable; urgency=low

  * Use -fPIC compiled objects for shared library, Closes: #231131,
    xmpi_2.2.3b8-1(hppa/unstable): FTBFS: non-PIC in shared lib

 -- Camm Maguire <camm@enhanced.com>  Thu,  5 Feb 2004 15:32:00 +0000

xmpi (2.2.3b8-1) unstable; urgency=low

  * New upstream release
  * debhelper compat level 4
  * increase soname to follow lam
  * Updated README.Debian
  * mpiCC -> mpic++
  * Comment out missing LAM_CHECK_CONSTANTS in configure.in
  * Comment out missing LAM_HOST2COMP reference in
    ./src/libxmpi/nodeslist.cc and ./src/libxmpi/ndi_resolve.cc
  * object files linked into libxmpi now named .o instead of .lo
  * libxmpi links against liblam++
  * clean calls make distclean

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Jan 2004 23:53:15 +0000

xmpi (2.2.3b6-10) unstable; urgency=low

  * Build depend on lam4-dev
  * Newer standards
  * watch version 2

 -- Camm Maguire <camm@enhanced.com>  Wed, 21 Jan 2004 21:28:16 +0000

xmpi (2.2.3b6-9) unstable; urgency=low

  * Rerelease against latest lam
  * libxmpi3-dev is in section libdevel
  * versioned build dep on lam3-dev, Closes: #206423

 -- Camm Maguire <camm@enhanced.com>  Wed, 20 Aug 2003 19:30:43 +0000

xmpi (2.2.3b6-8) unstable; urgency=low

  * xlib6g-dev -> xlibs-dev, Closes: #202039
  * netscape -> sensible-browser, Closes: #197481
  * Newer standards
  * versioned debhelper dependency
  * Cleaned short description for lintian

