=== debian/control ===
Source: xmpi
Section: devel
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 9 ),lam4-dev ( >= 7.1.4-5 ),libmotif-dev,texinfo,libx11-dev,libxt-dev,dh-autoreconf
Standards-Version: 4.3.0

Package: xmpi
Architecture: any
Depends: sensible-utils, lam-runtime, ${shlibs:Depends}, ${misc:Depends}
Conflicts: xmpi1-runtime
Replaces: xmpi1-runtime
Description: Graphical user interface for MPI program development
 MPI is a standard for writing parallel processing programs using
 a well defined Message Passing Interface.
 .
 XMPI can acquire and display extensive detail on an application's MPI
 communication, including the following:
  o process synchronization status: running, system or blocked
  o message queue contents
  o source, destination, root ranks
  o MPI function name
  o communicator
  o data type
  o message count
  o tag
 The above information is acquired from on-demand snapshots of
 application status using debugging hooks in the MPI implementation or
 from a trace log of communication activity.

Package: libxmpi4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libxmpi
Description: Graphical user interface for MPI program development
 MPI is a standard for writing parallel processing programs using
 a well defined Message Passing Interface.
 .
 This package provides the shared library required for any programs
 using the XMPI protocol to graphically analyze MPI programs, most
 notably the xmpi program supplied in a separate package.

Package: libxmpi4-dev
Architecture: any
Depends: libc6-dev,libxmpi4 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Provides: libxmpi-dev
Conflicts: libxmpi-dev,xmpi-dev
Replaces: libxmpi-dev,xmpi-dev
Description: Graphical user interface for MPI program development
 MPI is a standard for writing parallel processing programs using
 a well defined Message Passing Interface.
 .
 This package provides the few development files required to write new
 applications using the XMPI protocol.
